import { useRequest } from '@/use/useHttp'

/**
 *  获取剪样订单列表
 * @returns
 */
export const GetCutSampleOrderList = () => {
  return useRequest({
    url: '/v1/mp/cutSampleOrder/list',
    method: 'get',
  })
}

/**
 *  搜索剪样面料
 * @returns
 */
export const GetCutSampleOrderProducts = () => {
  return useRequest({
    url: '/v1/mp/cutSampleOrder/products',
    method: 'get',
  })
}

/**
 *  剪样提交订单
 * @returns
 */
export const SubmitCutSampleOrder = () => {
  return useRequest({
    url: '/v1/mp/cutSampleOrder/submit',
    method: 'post',
  })
}

/**
 *  获取剪样订单详情
 * @returns
 */
export const GetCutSampleOrderDetail = () => {
  return useRequest({
    url: '/v1/mp/cutSampleOrder/detail',
    method: 'get',
  })
}

/**
 *  取消剪样订单
 * @returns
 */
export const CancelCutSampleOrder = () => {
  return useRequest({
    url: '/v1/mp/cutSampleOrder/cancel',
    method: 'put',
  })
}

/**
 *  取消剪样订单
 * @returns
 */
export const GetCutSampleOrderColorList = () => {
  return useRequest({
    url: '/v1/mp/product/color/absorb/list',
    method: 'get',
  })
}
